> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wp-content.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all theme versions

> Get versions of themes with details.



## OpenAPI

````yaml /api-reference/openapi.yaml get /themes/{slug}/versions
openapi: 3.0.0
info:
  title: Repository Endpoints
  description: >-
    To interract with API, you will need to provide a valid API Key generated on
    [https://dashboard.wp-content.io/](https://dashboard.wp-content.io/).


    Scope will be indicated in each sections. The REST API is build on CRUD
    model and each permission of scope is linked to a method :


    | **Method** | **Permission** |

    | --- | --- |

    | GET | read |

    | PATCH | update |

    | POST | create |

    | DELETE | delete |
  version: 1.0.0
servers:
  - url: https://registry.wp-content.io
security:
  - ApiKeyAuth: []
tags:
  - name: Repository
  - name: Plugins
    description: >-
      This section presents all the endpoints for managing plugins and their
      versions.  


      Scope required : `plugins`
  - name: Plugin Versions
  - name: Themes
    description: >-
      This section presents all the endpoints for managing themes and their
      versions.  


      Scope required : `themes`
  - name: Theme Versions
paths:
  /themes/{slug}/versions:
    get:
      tags:
        - Theme Versions
      summary: Get all theme versions
      description: Get versions of themes with details.
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          description: Slug of theme
          example: my-theme
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
              example:
                - version: 1.0.1
                  release_notes: Version update
                  download_link: >-
                    https://wp-content.s3.fr-par.scw.cloud/artifacts/themes/my-theme/my-theme-1.0.1-2f5fafc05b11f83c15a8b72ce15609c8.zip
                  checksum: 2f5fafc05b11f83c15a8b72ce15609c8
                  latest: true
                - version: 1.0.0
                  release_notes: Version update
                  download_link: >-
                    https://wp-content.s3.fr-par.scw.cloud/artifacts/themes/my-theme/my-theme-1.0.0-86869156b3b9fbffd6e69fa6cf49452a.zip
                  checksum: 86869156b3b9fbffd6e69fa6cf49452a
                  latest: false
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              example:
                status: 404
                error: 404
                messages:
                  error: Theme not found.
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.